### Method

# Ide Toolchain get_tools_for_id

#### Declaration

    GHashTable*
    ide_toolchain_get_tools_for_id (
      IdeToolchain* self,
      const gchar* tool_id
    )

#### Description

Gets the list of all the paths to the specified tool id.

Available since: | 3.32

#### Parameters

`tool_id` | `const gchar*`
| The identifier of the tool like `IDE_TOOLCHAIN_TOOL_CC`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GHashTable`
| A table of language names and paths.
| The caller of the method takes ownership of the data, and is responsible for freeing it.